commit: 54c6797117fbf70034ab299c46161a7d235527e6
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 25 15:17:54 2016 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 25 15:22:37 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54c67971
app-admin/systemrescuecd-x86: Support running isohybrid on images
Add isohybrid flag that uses isohybrid (from syslinux) to make
the images dual-bootable as CD and USB media. This is the new
upstream-suggested method of using SRCD on USB sticks.
Since isohybrid modifies images in place and takes less than a second,
it seems reasonable to run it while installing rather than expecting
the user to copy it to a temporary location, convert it, then copy to
the media.
app-admin/systemrescuecd-x86/metadata.xml | 7 +++++++
app-admin/systemrescuecd-x86/systemrescuecd-x86-4.4.1.ebuild | 12 ++++++++++--
app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.0.ebuild | 12 ++++++++++--
app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.1.ebuild | 12 ++++++++++--
app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.2.ebuild | 12 ++++++++++--
app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.3.ebuild | 12 ++++++++++--
app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.4.ebuild | 12 ++++++++++--
app-admin/systemrescuecd-x86/systemrescuecd-x86-4.6.0.ebuild | 12 ++++++++++--
app-admin/systemrescuecd-x86/systemrescuecd-x86-4.6.1.ebuild | 12 ++++++++++--
app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.0.ebuild | 12 ++++++++++--
app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.1.ebuild | 12 ++++++++++--
app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.2.ebuild | 12 ++++++++++--
12 files changed, 117 insertions(+), 22 deletions(-)
diff --git a/app-admin/systemrescuecd-x86/metadata.xml
b/app-admin/systemrescuecd-x86/metadata.xml
index b77235f..5297bd0 100644
--- a/app-admin/systemrescuecd-x86/metadata.xml
+++ b/app-admin/systemrescuecd-x86/metadata.xml
@@ -5,6 +5,13 @@
<email>[email protected]</email>
<name>Michał Górny</name>
</maintainer>
+ <use>
+ <flag name="isohybrid">
+ Pass downloaded images through isohybrid in order to make it
+ possible to copy them directly to USB media and boot (requires
+ <pkg>sys-boot/syslinux</pkg> at build time).
+ </flag>
+ </use>
<upstream>
<remote-id type="sourceforge">systemrescuecd</remote-id>
</upstream>
diff --git a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.4.1.ebuild
b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.4.1.ebuild
index d7cc39e..9ac4ee7 100644
--- a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.4.1.ebuild
+++ b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.4.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -11,7 +11,9 @@
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="+isohybrid"
+
+DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
@@ -20,6 +22,12 @@ RESTRICT="mirror"
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
+
+ if use isohybrid; then
+ set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
+ echo "${@}"
+ "${@}" || die "${*} failed"
+ fi
}
pkg_postinst() {
diff --git a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.0.ebuild
b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.0.ebuild
index d7cc39e..9ac4ee7 100644
--- a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.0.ebuild
+++ b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -11,7 +11,9 @@
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="+isohybrid"
+
+DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
@@ -20,6 +22,12 @@ RESTRICT="mirror"
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
+
+ if use isohybrid; then
+ set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
+ echo "${@}"
+ "${@}" || die "${*} failed"
+ fi
}
pkg_postinst() {
diff --git a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.1.ebuild
b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.1.ebuild
index d7cc39e..9ac4ee7 100644
--- a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.1.ebuild
+++ b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -11,7 +11,9 @@
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="+isohybrid"
+
+DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
@@ -20,6 +22,12 @@ RESTRICT="mirror"
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
+
+ if use isohybrid; then
+ set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
+ echo "${@}"
+ "${@}" || die "${*} failed"
+ fi
}
pkg_postinst() {
diff --git a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.2.ebuild
b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.2.ebuild
index d7cc39e..9ac4ee7 100644
--- a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.2.ebuild
+++ b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -11,7 +11,9 @@
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="+isohybrid"
+
+DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
@@ -20,6 +22,12 @@ RESTRICT="mirror"
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
+
+ if use isohybrid; then
+ set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
+ echo "${@}"
+ "${@}" || die "${*} failed"
+ fi
}
pkg_postinst() {
diff --git a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.3.ebuild
b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.3.ebuild
index d7cc39e..9ac4ee7 100644
--- a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.3.ebuild
+++ b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -11,7 +11,9 @@
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="+isohybrid"
+
+DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
@@ -20,6 +22,12 @@ RESTRICT="mirror"
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
+
+ if use isohybrid; then
+ set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
+ echo "${@}"
+ "${@}" || die "${*} failed"
+ fi
}
pkg_postinst() {
diff --git a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.4.ebuild
b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.4.ebuild
index d7cc39e..9ac4ee7 100644
--- a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.4.ebuild
+++ b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.5.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -11,7 +11,9 @@
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="+isohybrid"
+
+DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
@@ -20,6 +22,12 @@ RESTRICT="mirror"
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
+
+ if use isohybrid; then
+ set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
+ echo "${@}"
+ "${@}" || die "${*} failed"
+ fi
}
pkg_postinst() {
diff --git a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.6.0.ebuild
b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.6.0.ebuild
index d7cc39e..9ac4ee7 100644
--- a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.6.0.ebuild
+++ b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.6.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -11,7 +11,9 @@
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="+isohybrid"
+
+DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
@@ -20,6 +22,12 @@ RESTRICT="mirror"
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
+
+ if use isohybrid; then
+ set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
+ echo "${@}"
+ "${@}" || die "${*} failed"
+ fi
}
pkg_postinst() {
diff --git a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.6.1.ebuild
b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.6.1.ebuild
index d7cc39e..9ac4ee7 100644
--- a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.6.1.ebuild
+++ b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.6.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -11,7 +11,9 @@
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="+isohybrid"
+
+DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
@@ -20,6 +22,12 @@ RESTRICT="mirror"
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
+
+ if use isohybrid; then
+ set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
+ echo "${@}"
+ "${@}" || die "${*} failed"
+ fi
}
pkg_postinst() {
diff --git a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.0.ebuild
b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.0.ebuild
index d7cc39e..9ac4ee7 100644
--- a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.0.ebuild
+++ b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -11,7 +11,9 @@
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="+isohybrid"
+
+DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
@@ -20,6 +22,12 @@ RESTRICT="mirror"
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
+
+ if use isohybrid; then
+ set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
+ echo "${@}"
+ "${@}" || die "${*} failed"
+ fi
}
pkg_postinst() {
diff --git a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.1.ebuild
b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.1.ebuild
index d7cc39e..9ac4ee7 100644
--- a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.1.ebuild
+++ b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -11,7 +11,9 @@
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="+isohybrid"
+
+DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
@@ -20,6 +22,12 @@ RESTRICT="mirror"
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
+
+ if use isohybrid; then
+ set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
+ echo "${@}"
+ "${@}" || die "${*} failed"
+ fi
}
pkg_postinst() {
diff --git a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.2.ebuild
b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.2.ebuild
index d7cc39e..9ac4ee7 100644
--- a/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.2.ebuild
+++ b/app-admin/systemrescuecd-x86/systemrescuecd-x86-4.7.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -11,7 +11,9 @@
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="+isohybrid"
+
+DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
@@ -20,6 +22,12 @@ RESTRICT="mirror"
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
+
+ if use isohybrid; then
+ set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
+ echo "${@}"
+ "${@}" || die "${*} failed"
+ fi
}
pkg_postinst() {